//------------------------------------------
// Tabe Main()
// mesale marbot be nahve rahandazie I2C
// ba estefade az tavabe v ketabkhane CMSIS
// baraye kar ba Mikro STM32F103VET6
// va teste IC T107BL
// Sadegh Mohammadi(sadmonew)
// 1391/05/25
// web site: http://www.iranmicro.ir/
// weblog: http://sadmonew.blogfa.com/
//------------------------------------------

#include "stm32f10x.h"
#include "RCC_init.h"
#include "core_cm3.h"
#include "GPIO_init.h"
#include "T107BL_.h"
#include "stdio.h"


GPIO_InitTypeDef GPIO_InitStructure; 
USART_InitTypeDef USART_Init_Struct;
USART_ClockInitTypeDef* USART_Clock_InitStruct;

int main(void)
{
	unsigned long i;
	unsigned char tmp_ChipID,tmp_RevisionID,tmp_DateCodeID;
	char s_ChipID[4];

  // tabe marbot be tanzimate clock haste(CORE) mikro v faal kardane clock portha
	RCC_INIT();
	
	GPIO_init_();
	
	usart_init_();
	
	I2C_Init_();
	
	lcd_init();

	lcd_putsf("Be name Khoda");
	
	PWR_Man_CTRL();
	
	Setting_GPIOA();

	Setting_PWM1_();
	
  while(1)
	     {
	      set_cursor(1,1);
				lcd_putsf("ChID RevID DCoID");				
				tmp_ChipID = Read_T107BL_ChipID();
				tmp_RevisionID = Read_T107BL_RevisionID();
				tmp_DateCodeID = Read_T107BL_DateCodeID();
				sprintf(s_ChipID," %X     %X   %X",tmp_ChipID,tmp_RevisionID,tmp_DateCodeID);
	      set_cursor(2,1);
				lcd_putsf(s_ChipID);
				
				Setbit_GPOA(0x0F);
				 
 				GPIO_ResetBits(GPIOD, GPIO_Pin_14);
        for(i=0;i<250000;i++){} //delay	         
				
				Setbit_GPOA(0x00);
					
	      GPIO_SetBits(GPIOD, GPIO_Pin_14);
	      for(i=0;i<250000;i++){} //delay	
			 }
}
